import { jsx } from "react/jsx-runtime";
import { LaptopIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Laptop = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Laptop", ...props, children: /* @__PURE__ */ jsx(LaptopIcon, { weight: variant }) });
  }
);
Laptop.displayName = "Laptop";
Object.assign(Laptop, { isGdsIcon: true });
export {
  Laptop
};
